#!/bin/env python
# -*- coding:utf-8 -*-
# Date:        2015-04-20
# Author:      simonzhang
# web:         www.simonzhang.net
# Email:       simon-zzm@163.com
### END INIT INFO
import MySQLdb
from random import randint
from config import *

# sql_run为要运行的sql语句
# type为执行的状态，w为写入，insert，update和delete。r为读取，select。
# 读的情况下，可以分别读取不同的数据库
def mysql(sql_run, type):
    # 获取要链接数据库的信息
    if type == 'w':
        db_id = randint(0,len(MySql_write_info)-1)
        db_info = MySql_write_info[db_id]
    elif type == 'r':
        db_id = randint(0,len(MySql_read_info)-1)
        db_info = MySql_read_info[db_id]
    else:
        return "dbinfo error"
    # 链接数据库
    try:
        db = MySQLdb.connect(host = db_info[0], \
                             port = db_info[1], \
                             user = db_info[2], \
                             passwd = db_info[3], \
                             db = db_info[4])
    except MySQLdb.ERROR,e:
        return "Error %d:%s"%(e.args[0],e.args[1])
    # 执行语句
    cursor = db.cursor()
    try:
        cursor.execute(sql_run)
        if type == 'w':
            cursor.execute("commit")
        result = cursor.fetchall()
        cursor.close()
        db.close()
        return result
    except:
        pass

